Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000521 [Ecere SDK] ecere minor always 2010-07-31 09:56 2013-05-19 17:15
Reporter redj View Status public  
Assigned To redj
Priority immediate Resolution fixed  
Status closed   Product Version
Summary 0000521: unable to add a new setting value to config file (as ShowLineNumbers doesn't save in IDE)
Description in GlobalAppSettings.ec
somehow, new settings that are not already present in the configuration file don't get saved properly.

as expressed in IDE with ShowLineNumbers not saving when restarting IDE unless you manyally add the line ShowLineNumbers=0 to the config file.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000412)
jerome (administrator)
2010-12-06 12:08

I fixed this around September, with a new section inside the:
if(line[0] == '[')

instead of only a break statement, and the use of posBeforeSection.

This code is now somewhat obsoleted by the JSON GlobalAppSettings.
(0000418)
jerome (administrator)
2010-12-06 19:35

I'm not so sure anymore whether this is fixed or not after seeing 0000233 ?

- Issue History
Date Modified Username Field Change
2010-07-31 09:56 redj New Issue
2010-07-31 09:56 redj Relationship added child of 0000429
2010-08-07 12:47 jerome Status new => assigned
2010-08-07 12:47 jerome Assigned To => redj
2010-12-06 12:08 jerome Status assigned => resolved
2010-12-06 12:08 jerome Fixed in Version => 0.44 pre-release 2
2010-12-06 12:08 jerome Resolution open => fixed
2010-12-06 12:08 jerome Note Added: 0000412
2010-12-06 19:35 jerome Note Added: 0000418
2012-03-08 09:34 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 11:44 redj Relationship deleted child of 0000429
2012-03-08 12:08 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 02:53 redj Category => Ecere Runtime Library
2012-03-29 02:53 redj Project @1@ => Ecere SDK
2012-03-29 03:25 redj Summary runtime: unable to add a new setting value to config file (as ShowLineNumbers doesn't save in IDE) => unable to add a new setting value to config file (as ShowLineNumbers doesn't save in IDE)
2013-05-19 17:15 jerome Status resolved => closed


Mantis 1.1.1[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker